Bug 12862 - HTML fixes triggered by cleaning up language="javascript"
Summary: HTML fixes triggered by cleaning up language="javascript"
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Browser compatibility (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: M. Tompsett
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-03 01:16 UTC by M. Tompsett
Modified: 2015-06-04 23:33 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12862: Staff client tweaks related to obsolete language="javascript" (3.01 KB, patch)
2014-09-03 01:52 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 12862: OPAC bootstrap - clean up language="javascript" (2.12 KB, patch)
2014-09-03 01:53 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 12862: CCSR and Prog - language="javascript" is obsolete. (6.84 KB, patch)
2014-09-03 01:53 UTC, M. Tompsett
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 12862: Staff client tweaks related to obsolete language="javascript" (3.12 KB, patch)
2014-10-10 18:47 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 12862: OPAC bootstrap - clean up language="javascript" (2.22 KB, patch)
2014-10-10 18:47 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 12862: CCSR and Prog - language="javascript" is obsolete. (6.95 KB, patch)
2014-10-10 18:47 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 12862: Staff client tweaks related to obsolete language="javascript" (3.13 KB, patch)
2014-10-17 14:41 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 12862: OPAC bootstrap - clean up language="javascript" (2.24 KB, patch)
2014-10-17 14:41 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 12862: CCSR and Prog - language="javascript" is obsolete. (6.96 KB, patch)
2014-10-17 14:41 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2014-09-03 01:16:21 UTC
Tweak the <script> tags to remove or modify the obsolete tag in question, perhaps move the script to fix another bug, tweak the one other simple HTML bug while I'm at it in a file, and fix a hardcoded opac-tmpl when koha-qa complains.
Comment 1 M. Tompsett 2014-09-03 01:52:57 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2014-09-03 01:53:06 UTC Comment hidden (obsolete)
Comment 3 M. Tompsett 2014-09-03 01:53:11 UTC Comment hidden (obsolete)
Comment 4 M. Tompsett 2014-09-03 01:55:48 UTC
I split up the prog and ccsr from the boot strap, so that this could potentially be included as a backport.
Comment 5 Owen Leonard 2014-10-10 18:47:08 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2014-10-10 18:47:15 UTC Comment hidden (obsolete)
Comment 7 Owen Leonard 2014-10-10 18:47:54 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2014-10-11 19:17:33 UTC
I think there is a line in the first patch, that does not belong there, could you please check?
Comment 9 M. Tompsett 2014-10-11 19:44:31 UTC
(In reply to Katrin Fischer from comment #8)
> I think there is a line in the first patch, that does not belong there,
> could you please check?

Which one?
You can't have checked="checked" on a text box. It is a scope creep, but it is a valid clean up.
Comment 10 Katrin Fischer 2014-10-11 19:48:11 UTC
I didn't see why it was there - if you scope creep, please put a note in your commit message ;)
Comment 11 M. Tompsett 2014-10-11 19:54:31 UTC
(In reply to Katrin Fischer from comment #10)
> I didn't see why it was there - if you scope creep, please put a note in
> your commit message ;)

That's why I tweaked the title to "HTML clean up triggered by", so it would include it. ;)
Comment 12 M. Tompsett 2014-10-13 21:39:57 UTC
(In reply to M. Tompsett from comment #0)
> Tweak the <script> tags to remove or modify the obsolete tag in question,
> perhaps move the script to fix another bug, tweak the one other simple HTML
> bug while I'm at it in a file, and fix a hardcoded opac-tmpl when koha-qa
> complains.

I also did mention it indirectly here "tweak the other simple HTML bug".
You'll also notice how the script was moved to the head block, and I did fix the hardcoded opac-tmpl too.
Comment 13 Kyle M Hall 2014-10-17 14:41:35 UTC
Created attachment 32508 [details] [review]
[PASSED QA] Bug 12862: Staff client tweaks related to obsolete language="javascript"

As a result, this patch removed the deprecated tag from the
intranet templates.

And since there was just 1 other tiny error in the same template
file, the checked="checked" was removed from a text box.

TEST PLAN
---------
1) Install the HTML Validator 0.9.5.8 for FireFox.
2) Open Intranet to Home -> Tools -> News
3) View Page Source
   -- you'll notice the message about language="javascript" being
      one of the error messages.
4) Click Edit beside one of the news items.
5) View Page Source
   -- you'll notice the message about language="javascript" being
      one of the error messages.
6) Apply patch
7) Repeat steps 2 to 5 without "language="javascript" related
   error messages.
8) Run koha QA test tools.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 14 Kyle M Hall 2014-10-17 14:41:42 UTC
Created attachment 32509 [details] [review]
[PASSED QA] Bug 12862: OPAC bootstrap - clean up language="javascript"

There was a <script language="javascript"> tag.
It was cleaned up to be <script type="text/javascript">.
Also, the div was being chopped because the script was
in the middle of the div. Moving it to head solved the issues.

This is difficult to test, since the printslip is triggered
when you click Finish.

TEST PLAN
---------
 1) Home -> Koha administration -> Global system parameters -> OPAC
 2) Set the OPAC system preference 'opacthemes' to 'bootstrap'.
 3) Start the self-checkout client (/cgi-bin/koha/sco/sco-main.pl)
 4) Log in.
 5) Check something out.
 6) Change the address url text box to
    .../cgi-bin/koha/sco/printslip.pl?borrowernumber=##&amp;print=qslip
    Where ## is your borrower number which just checked something out.
 7) Click Cancel on the print dialogue
 8) View Page Source
    -- The HTML validation plugin will point out multiple errors.
 9) Apply patch
10) Refresh page
11) View Page Source
    -- Much happier validation results.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 15 Kyle M Hall 2014-10-17 14:41:45 UTC
Created attachment 32510 [details] [review]
[PASSED QA] Bug 12862: CCSR and Prog - language="javascript" is obsolete.

Corrected/removed the obsolete HTML.
Fixed a hard coded opac-tmpl, as per koha-qa's demand.

Trigger all the templates and check of the language="javascript"
error is listed in the validation done by the HTML Validator
plugin for FireFox that Owen pointed me at.

TEST PLAN
---------
1) Test with opactheme set to ccsr. Any opac page with
   opac-bottom.inc will do.
2) Test with opactheme set to prog.
   - Any opac page with opac-bottom.inc
   - Any opac page with doc-head-close.inc
   - Advanced search
   - Authority search -> Submit -> View full heading -> MARC View
   - staff client, home, serials, submit by the title text box,
     click one of the subscriptions
     (you don't have subscriptions?! can't help you),
     determine the biblionumber, opac,
     search for the biblio number and get to an opac details page,
     click on more details
3) Test the self-checkout printslip, just like the bootstrap
   one previously.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 16 Tomás Cohen Arazi 2014-10-18 14:16:42 UTC
Patches pushed to master.

Thanks Mark!

Note: I didn't understand the description of the bug. Keep in mind that non-english speakers (as I am) might need a more detailed explanation.

RMaints: I ommited the CCSR/Prog patch for master.
Comment 17 M. Tompsett 2014-10-18 15:46:38 UTC
(In reply to Tomás Cohen Arazi from comment #16)
> Note: I didn't understand the description of the bug. Keep in mind that
> non-english speakers (as I am) might need a more detailed explanation.

When I went to fix that one specific error, I noticed 3 other errors as well. Hence, the fixing of language="javascript" HTML problems caused me to want to clean up and do (triggered) clean up of three other nearby HTML issues.